# This module defines the beta server instance which 
variable "beta_ssh_key_name" {}
variable "beta_public_key_path" {}

variable "beta_instance_type" {}

variable "beta_ami_id" {}

resource "aws_key_pair" "beta_ssh" {
  key_name = var.beta_public_key_path
  public_key = file(var.beta_public_key_path)
}

resource "aws_instance" "beta" {
  ami = var.beta_ami_id
  instance_type = var.beta_instance_type

  key_name = var.beta_public_key_path

  security_groups = [
    aws_security_group.basic_web_sec.id,
    aws_security_group.internal_ssh_recv.id
  ]

  subnet_id = aws_subnet.crete_subnet.id

  tags = {
    Name = "Beta Host"
  }
}
